%define checkout 20130924snap

Summary:	Graphical client for Firebird
Name:		flamerobin
Version:	0.9.3
Release:	%mkrel -c %{checkout} 11
License:	BSD-like
Group:		Databases
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git archive --format=tar \
#   --remote=git://git.code.sf.net/p/flamerobin/flamerobin-git \
#   118620002b20d46b1e852cf690468f4bd59b6d4e | gzip -9 > flamerobin-0.9.3-20130924snap.tar.gz
Source0:	%{name}-%{version}-%{checkout}.tar.gz
# Updates boost.m4 to latest upstream, needed to fix build with GCC 5:
# https://sourceforge.net/p/flamerobin/bugs/256/
# Requires autoreconf
Patch0:		configure-gcc5.patch
URL:		http://www.flamerobin.org/
BuildRequires:	firebird-devel >= 2.0.0.12748
BuildRequires:  pkgconfig(fbclient)
BuildRequires:	wxgtku-devel >= 2.6
BuildRequires:	imagemagick
BuildRequires:	sed
BuildRequires:	boost-devel

%description
FlameRobin is a database administration tool for Firebird DBMS based on wxgtk
toolkit.

%prep
%setup -q -c -n %{name}
%autopatch -p1

%build
chmod +x configure
%configure2_5x \
	--with-wx-config=wx-config \
	--disable-debug \
	--mandir=%{buildroot}%{_mandir}/
%make

%install
%makeinstall

sed	"s@Categories=Development;Database;GTK@Categories=Development;Database;Application;@"	-i	%{buildroot}/%{_datadir}/applications/%{name}.desktop
echo Encoding=UTF-8 >> %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 ./res/fricon128.png %{buildroot}%{_miconsdir}/%{name}.png
convert -size 32x32 ./res/fricon128.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 ./res/fricon128.png %{buildroot}%{_liconsdir}/%{name}.png


%files
%doc docs/*
%{_mandir}/man1/flamerobin.1*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png




%changelog
* Sat Jun 03 2017 akien <akien> 0.9.3-0.20130924snap.11.mga6
+ Revision: 1106089
- Rebuild for wxgtk 3.0.3.1

* Mon Apr 11 2016 philippem <philippem> 0.9.3-0.20130924snap.10.mga6
+ Revision: 1000257
- add BR for Firebird3 client

* Sat Dec 26 2015 daviddavid <daviddavid> 0.9.3-0.20130924snap.9.mga6
+ Revision: 915169
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 0.9.3-0.20130924snap.8.mga6
+ Revision: 883693
- rebuild for new boost 1.59.0

* Fri Aug 28 2015 philippem <philippem> 0.9.3-0.20130924snap.7.mga6
+ Revision: 870645
- patch build for new Boost

* Sun Aug 02 2015 daviddavid <daviddavid> 0.9.3-0.20130924snap.6.mga6
+ Revision: 860526
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-0.20130924snap.5.mga5
+ Revision: 749382
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-0.20130924snap.4.mga5
+ Revision: 679223
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 barjac <barjac> 0.9.3-0.20130924snap.3.mga5
+ Revision: 586454
- rebuild against boost-1.55

* Sun Oct 20 2013 umeabot <umeabot> 0.9.3-0.20130924snap.2.mga4
+ Revision: 536773
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 philippem <philippem> 0.9.3-0.20130924snap.1.mga4
+ Revision: 485528
- Update to latest snapshot
- update to latest git snapshot (677a1b) to fix boost build problem

* Thu Aug 08 2013 philippem <philippem> 0.9.3-0.20130401snap.2.mga4
+ Revision: 464735
- Prune unnecessary content from tarball

* Wed Jul 10 2013 philippem <philippem> 0.9.3-0.20130401snap.1.mga4
+ Revision: 452596
- Fix fail build
- Update to 0.9.3

* Fri Jan 11 2013 umeabot <umeabot> 0.9.2-4.mga3
+ Revision: 350474
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 philippem <philippem> 0.9.2-3.mga3
+ Revision: 329795
+ rebuild (emptylog)

* Sat Jul 23 2011 ahmad <ahmad> 0.9.2-2.mga2
+ Revision: 128086
- Rebuild against wxgtk2.8 with enabled catch_segvs
- Use %%configure2_5x

* Mon Jan 10 2011 philippem <philippem> 0.9.2-1.mga1
+ Revision: 5309
- imported package flamerobin

